# role_hugo

Rôle de déploiement de gohugo.io

## Fonctionnement

Ce rôle prends en charge le serveur intégré ou l'utilisation de nginx pour servir le site.<br />
Afin de ne pas utiliser le serveur intégré, mettre la variable `hugo_nginx_enabled` à `true`.

## Variables

### hugo_os

Nécessaire pour télécharger le bon paquet depuis github.com.

<span style="text-decoration: underline">Valeur par défaut:</span> `linux`


### hugo_architecture

Nécessaire pour télécharger le bon paquet depuis github.com.<br />
Les architectures disponbiles sont *amd64* et *arm64*.

<span style="text-decoration: underline">Valeur par défaut:</span> `arm64`

### hugo_latest_url

URL pointant vers l'API de github.com fournissant le lien de téléchargement du paquet.

<span style="text-decoration: underline">Valeur par défaut:</span> `https://api.github.com/repos/gohugoio/hugo/releases/latest`

### hugo_version

Version qui sera installée.

<span style="text-decoration: underline">Valeur par défaut:</span> `latest`

### hugo_installation_type

Type d'installation souhaitée (`deb` ou `archive`).

<span style="text-decoration: underline">Valeur par défaut:</span> `archive`

### hugo_binary_path

Emplacement où sera déployer le binaire.

<span style="text-decoration: underline">Valeur par défaut:</span> `/opt/hugo`

### hugo_install_command

Ajouter la commande `hugo` dans le PATH.

<span style="text-decoration: underline">Valeur par défaut:</span> `false`

### hugo_data_path

Emplacement où seront stockées les données.

<span style="text-decoration: underline">Valeur par défaut:</span> `/srv/hugo`

### hugo_timer_enabled

Activer la génération automatique régulière des fichiers statiques.

<span style="text-decoration: underline">Valeur par défaut:</span> `true`

### hugo_base_url

URL utilisée dans la génération des fichiers statiques.

<span style="text-decoration: underline">Valeur par défaut:</span> aucune

### hugo_server_listen

Adresse IP d'écoute du serveur intégré.

<span style="text-decoration: underline">Valeur par défaut:</span> `0.0.0.0`

### hugo_server_port

Port d'écoute du serveur intégré.

<span style="text-decoration: underline">Valeur par défaut:</span> `8080`

### hugo_timer_enabled

Activer la génération automatique tous les jours (`daily`).

<span style="text-decoration: underline">Valeur par défaut:</span> `true`

### hugo_nginx_enabled

Ne pas utiliser le serveur intégré pour servir les fichiers statiques.

<span style="text-decoration: underline">Valeur par défaut:</span> `false`

### hugo_nginx_docroot

Emplacement où les fichiers statiques seront générés pour nginx.

<span style="text-decoration: underline">Valeur par défaut:</span> `/var/www/hugo`
